Getcaption

Image annotations - Get caption

Deprecation notice

This endpoint is deprecated. We recommend using alternative endpoints to ensure continued support and compatibility.
POST
/api/getCaption

This endpoint receives an image in base64 format and returns a description of the image in the following format:

  • Long description of the image: ['long_description']
  • Short description of the image: ['short_description']
  • Objects present in the image: ['objects_present']
  • List of main colors visible in the image: ['colors']
  • Mood of the image: ['mood']

The response is in a JSON dictionary format as shown below:

{"data": {"long_description": "...","short_description": "...","objects_present": "...","colors": "...","mood": "..."}}

Authorization

token_auth_2
headerAuthorizationBearer <token>

Request Body

application/json
  1. body
base64*string
question?string

Response Body

No Content

curl -X POST "https://example.com/api/getCaption" \  -H "Content-Type: application/json" \  -d '{    "base64": "string"  }'
Empty